Page MenuHomePhabricator

[Task] run phpunit ResourcesTest from core for wikibase
Closed, ResolvedPublic

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 7:15 PM

Change 166024 had a related patch set uploaded (by JanZerebecki):
Add Job to run ResourcesTest for WikibaseRepo

https://gerrit.wikimedia.org/r/166024

As this https://gerrit.wikimedia.org/r/#/c/180496/ does not work for wikibase as it uses multiple runs with filters.

JanZerebecki moved this task from incoming to ready to go on the Wikidata board.Mar 20 2015, 7:17 PM
Lydia_Pintscher triaged this task as Medium priority.Mar 30 2015, 10:47 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Change 166024 abandoned by Hashar:
Add Job to run ResourcesTest for WikibaseRepo

Reason:
Needs to be revisited

https://gerrit.wikimedia.org/r/166024

Check if we can use php phpunit.php --testsuite structure , and/or the extensions testsuite.

hashar added a subscriber: hashar.May 12 2015, 2:34 PM

You will probably want another job that ends up running:

php phpunit.php --testsuite structure

That runs tests from tests/phpunit/structure

Note there is also suites/LessTestSuite.php but is only run with php phpunit.php --testsuite extensions.

Jonas renamed this task from run phpunit ResourcesTest from core for wikibase to [Task] run phpunit ResourcesTest from core for wikibase.Sep 10 2015, 11:54 AM
Krinkle closed this task as Resolved.Apr 4 2017, 10:37 PM
Krinkle claimed this task.